|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface I_CmsEventListener
Implement this interface in case your class has to react to CmsEvents that are thrown by system.
In order to recieve system events, your class must register with the OpenCms event mechanism. This can be done in the constructor of a class like this:
org.opencms.main.OpenCms.addCmsEventListener(this);A typical implementation might look like this:
public void cmsEvent(org.opencms.main.CmsEvent event) {
switch (event.getType()) {
case org.opencms.main.I_CmsEventListener.EVENT_PUBLISH_PROJECT:
case org.opencms.main.I_CmsEventListener.EVENT_CLEAR_CACHES:
// do something
break;
case org.opencms.main.I_CmsEventListener.EVENT_LOGIN_USER:
// do something else
break;
}
}
CmsEvent,
OpenCms.addCmsEventListener(I_CmsEventListener),
OpenCms.addCmsEventListener(I_CmsEventListener, int[])| Field Summary | |
|---|---|
static int |
EVENT_BEFORE_PUBLISH_PROJECT
Event "a project is to published" (but has not yet been published). |
static int |
EVENT_CLEAR_CACHES
Event "all caches must be cleared". |
static int |
EVENT_CLEAR_OFFLINE_CACHES
Event "clear all offline caches". |
static int |
EVENT_CLEAR_ONLINE_CACHES
Event "clear all online caches". |
static int |
EVENT_FLEX_CACHE_CLEAR
Event "the FlexCache must be cleared". |
static int |
EVENT_FLEX_PURGE_JSP_REPOSITORY
Event "delete all JSP pages in the "real" file system (so they will be rebuild next time the JSP is requested)". |
static int |
EVENT_LOGIN_USER
Event "user has logged in". |
static int |
EVENT_PROJECT_MODIFIED
Event "a project was modified" (e.g. |
static int |
EVENT_PROPERTY_DEFINITION_CREATED
Event "a property definition has been created". |
static int |
EVENT_PROPERTY_DEFINITION_MODIFIED
Event "a property definition has been modified". |
static int |
EVENT_PROPERTY_MODIFIED
Event "a single property (and so the resource itself, too) have been modified". |
static int |
EVENT_PUBLISH_PROJECT
Event "a project was published". |
static int |
EVENT_RESOURCE_AND_PROPERTIES_MODIFIED
Event "all properties (and so the resource itself, too) have been modified". |
static int |
EVENT_RESOURCE_COPIED
|
static int |
EVENT_RESOURCE_CREATED
|
static int |
EVENT_RESOURCE_DELETED
|
static int |
EVENT_RESOURCE_LIST_MODIFIED
Event "the list of sub-resources of a folder has been modified", (e.g. |
static int |
EVENT_RESOURCE_MODIFIED
Event "a single resource has been modified". |
static int |
EVENT_RESOURCES_AND_PROPERTIES_MODIFIED
Event "a list of resources and their properties have been modified". |
static int |
EVENT_RESOURCES_MODIFIED
Event "a bunch of resources has been modified". |
static int |
EVENT_UPDATE_EXPORTS
Event "update exported resources". |
static String |
KEY_DBCONTEXT
Key name for passing a database context in the data map. |
static String |
KEY_PROJECTID
Key name for passing a project id in the data map. |
static String |
KEY_PUBLISHID
Key name for passing a publish history id in the data map. |
static String |
KEY_PUBLISHLIST
Key name for passing a publish list in the data map. |
static String |
KEY_REPORT
Key name for passing a report in the data map. |
static Integer |
LISTENERS_FOR_ALL_EVENTS
Marker for "all events". |
| Method Summary | |
|---|---|
void |
cmsEvent(CmsEvent event)
Acknowledge the occurrence of the specified event, implement this method to check for CmsEvents in your class. |
| Field Detail |
|---|
static final String KEY_REPORT
static final String KEY_PUBLISHID
static final String KEY_PUBLISHLIST
static final String KEY_PROJECTID
static final String KEY_DBCONTEXT
static final Integer LISTENERS_FOR_ALL_EVENTS
static final int EVENT_LOGIN_USER
CmsObject.loginUser(String, String),
Constant Field Valuesstatic final int EVENT_PUBLISH_PROJECT
Event data:
KEY_REPORT: a I_CmsReport to print output messages toKEY_PUBLISHID: the ID of the publish task in the publish historyKEY_PROJECTID: the ID of the project that has been publishedKEY_DBCONTEXT: the current users database context
CmsObject.publishProject(),
EVENT_BEFORE_PUBLISH_PROJECT,
Constant Field Valuesstatic final int EVENT_BEFORE_PUBLISH_PROJECT
Event data:
KEY_REPORT: a I_CmsReport to print output messages toKEY_PUBLISHLIST: a CmsPublishList that contains the resources that are to be publishedKEY_PROJECTID: the ID of the project that is to be publishedKEY_DBCONTEXT: the current users database context
CmsObject.publishProject(),
EVENT_PUBLISH_PROJECT,
Constant Field Valuesstatic final int EVENT_CLEAR_CACHES
Not thrown by the core classes, but might be used in modules.
static final int EVENT_FLEX_PURGE_JSP_REPOSITORY
This is thrown on the "FlexCache Administration" page if you press
the button "Purge JSP repository", or if you use the _flex=purge
request parameter.
static final int EVENT_FLEX_CACHE_CLEAR
This is thrown on the "FlexCache Administration" page if you press
one ot the "Clear cache" buttons, or if you use the _flex=clearcache
request parameter.
static final int EVENT_RESOURCE_MODIFIED
Event data:
static final int EVENT_RESOURCES_MODIFIED
Event data:
static final int EVENT_RESOURCE_LIST_MODIFIED
Event data:
static final int EVENT_PROPERTY_MODIFIED
Event data:
static final int EVENT_RESOURCE_AND_PROPERTIES_MODIFIED
Event data:
static final int EVENT_CLEAR_OFFLINE_CACHES
Event data: none
static final int EVENT_CLEAR_ONLINE_CACHES
Event data: none
static final int EVENT_PROJECT_MODIFIED
Event data:
static final int EVENT_UPDATE_EXPORTS
This event updates all export points, deletes the content of the "export" folder, purges the JSP repository, and clears all caches.
This event is for internal use.
static final int EVENT_RESOURCE_CREATED
EVENT_RESOURCE_AND_PROPERTIES_MODIFIED,
Constant Field Valuesstatic final int EVENT_RESOURCE_COPIED
EVENT_RESOURCES_MODIFIED,
Constant Field Valuesstatic final int EVENT_RESOURCE_DELETED
EVENT_RESOURCES_MODIFIED,
Constant Field Valuesstatic final int EVENT_PROPERTY_DEFINITION_MODIFIED
Event data:
static final int EVENT_RESOURCES_AND_PROPERTIES_MODIFIED
Event data:
static final int EVENT_PROPERTY_DEFINITION_CREATED
Event data:
| Method Detail |
|---|
void cmsEvent(CmsEvent event)
event - CmsEvent that has occurred
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||